import Request from '@/utils/request/request-util';

/**
 * 业务 - 流程图api
 *
 */
export class BusinessFlowApi {
  /**
   * 添加
   */
  static add(params) {
    return Request.post('/businessFlow/add', params);
  }
  /**
   * 编辑
   */
  static edit(params) {
    return Request.post('/businessFlow/edit', params);
  }
  /**
   * 删除单个
   */
  static delete(params) {
    return Request.post('/businessFlow/delete', params);
  }
  /**
   * 批量删除业务关联流程
   */
  static batchDelete(params) {
    return Request.post('/businessFlow/batchDelete', params);
  }
  /**
   * 详情
   */
  static detail(params) {
    return Request.getAndLoadData('/businessFlow/detail', params);
  }
  /**
   * 列表
   */
  static list(params) {
    return Request.getAndLoadData('/businessFlow/list', params);
  }
  /**
   * 修改激活状态
   */
  static updateStatus(params) {
    return Request.post('/businessFlow/updateStatus', params);
  }
}
